extends Interactable

func _change_sprite():
	pass

func switch_state():
	active = !active
	get_parent().notify_system(active)

func _load_saved_state():
	pass
	#super()
	#get_parent().notify_system(active)

func _update_sprite():
	pass
